/* D'après le tutoriel trouvé ici : */
/* https://www.w3schools.com/howto/howto_js_quotes_slideshow.asp */
/* Adaptations, ajout de la barre de progression Jean-Denis https://adhoc.71site.fr avril 2021 */

var progressionWidth = 0; // mise à zéro progression

var slideIndex = 1;
  showSlides(slideIndex); // slideIndex début

function plusSlides(n) {
  progressionWidth = 0; // remise à zéro progression
  showSlides(slideIndex += n); // slideIndex prev ou next
}

function currentSlide(n) {
  progressionWidth = 0; // remise à zéro progression
  showSlides(slideIndex = n); // slideIndex clic sur "dot"
}

function Progression() {
  $(".barre-progression").width(progressionWidth + "%");
  if(progressionWidth < 100) { // tant que %<100 augmentation d'1/100
    progressionWidth += 1;
  } else { // sinon slideIndex suivant et remise à zéro progression
    showSlides(slideIndex += 1);
    progressionWidth = 0;
  }
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("mesCitations");
  var dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
    slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
    dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  dots[slideIndex-1].className += " active";
}

window.onload = function () { setInterval(Progression, 70);} // régler durée affichage en équivalent 1/10ème de seconde (ex: 50 = 5 secondes)